Bio pages API

Hosted link-in-bio pages.

OperationMethod and path
List bio pagesGET /api/v1/bio
Create a bio pagePOST /api/v1/bio
Get a bio pageGET /api/v1/bio/{id}
Update a bio pagePATCH /api/v1/bio/{id}
Delete a bio pageDELETE /api/v1/bio/{id}
GET /api/v1/bio

List bio pages

bio.list · requires x-api-key

Parameters

NameInTypeNotes
teamId query string
offset query integer
limit query integer

Example

curl -X GET "https://api.siaran.my/api/v1/bio" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    11 fields
    • id string required
    • teamId string
    • slug string required
    • title string required
    • description string nullable
    • avatarUrl string nullable
    • theme map<string, any>
    • published boolean
    • items object[]
      9 fields
      • id string required
      • bioId string
      • type string required
        One of: LINK HEADER SOCIAL TEXT
      • title string required
      • url string nullable
      • icon string nullable
      • position integer
      • active boolean
      • clicks integer
    • createdAt string date-time
    • updatedAt string date-time
  • total integer required
POST /api/v1/bio

Create a bio page

bio.create · requires x-api-key

Request body application/json

  • teamId string required
  • slug string required
  • title string required
  • description string nullable
  • avatarUrl string nullable
  • theme map<string, any>

Example

curl -X POST "https://api.siaran.my/api/v1/bio" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID",
    "slug": "string",
    "title": "Hello from Siar"
  }'

Response 201

11 top-level fields
  • id string required
  • teamId string
  • slug string required
  • title string required
  • description string nullable
  • avatarUrl string nullable
  • theme map<string, any>
  • published boolean
  • items object[]
    9 fields
    • id string required
    • bioId string
    • type string required
      One of: LINK HEADER SOCIAL TEXT
    • title string required
    • url string nullable
    • icon string nullable
    • position integer
    • active boolean
    • clicks integer
  • createdAt string date-time
  • updatedAt string date-time
GET /api/v1/bio/{id}

Get a bio page

bio.get · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X GET "https://api.siaran.my/api/v1/bio/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

11 top-level fields
  • id string required
  • teamId string
  • slug string required
  • title string required
  • description string nullable
  • avatarUrl string nullable
  • theme map<string, any>
  • published boolean
  • items object[]
    9 fields
    • id string required
    • bioId string
    • type string required
      One of: LINK HEADER SOCIAL TEXT
    • title string required
    • url string nullable
    • icon string nullable
    • position integer
    • active boolean
    • clicks integer
  • createdAt string date-time
  • updatedAt string date-time
PATCH /api/v1/bio/{id}

Update a bio page

bio.update · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Request body application/json

  • slug string
  • title string
  • description string nullable
  • avatarUrl string nullable
  • theme map<string, any>
  • published boolean

Example

curl -X PATCH "https://api.siaran.my/api/v1/bio/ID" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "slug": "string",
    "title": "Hello from Siar",
    "description": "Hello from Siar"
  }'

Response 200

11 top-level fields
  • id string required
  • teamId string
  • slug string required
  • title string required
  • description string nullable
  • avatarUrl string nullable
  • theme map<string, any>
  • published boolean
  • items object[]
    9 fields
    • id string required
    • bioId string
    • type string required
      One of: LINK HEADER SOCIAL TEXT
    • title string required
    • url string nullable
    • icon string nullable
    • position integer
    • active boolean
    • clicks integer
  • createdAt string date-time
  • updatedAt string date-time
DELETE /api/v1/bio/{id}

Delete a bio page

bio.delete · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X DELETE "https://api.siaran.my/api/v1/bio/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

1 top-level fields
  • success boolean required